petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSPseudoSetTimeStepIncrement

Sets the scaling increment applied to dt when using the TSPseudoTimeStepDefault() routine.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPseudoSetTimeStepIncrement(TS ts,PetscReal inc)

Logically Collective on TS

### Input Parameters

| ts | - the timestep context
| inc | - the scaling factor >= 1.0

### Options Database Key

-ts_pseudo_increment <increment> -

### Keywords

timestep, pseudo, set, increment

### See Also

TSPseudoSetTimeStep(), TSPseudoTimeStepDefault()

### Level

advanced

### Location

src/ts/impls/pseudo/posindep.c

### Examples

src/ts/examples/tutorials/ex42.c.html

### Implementations

TSPseudoSetTimeStepIncrement_Pseudo in src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages